<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">

  <body>
    <ui:component>
      
        <p:dialog 
            id="dlgTabuladorCaducar"
            header="Editar Fin de la Vigencia"
            widgetVar="tabuladoresExpire"
            modal="true"
            resizable="false"
            closable="false">
            
            <h:panelGroup id="pnlTabuladorCaducar" class="pnlTabuladorCaducar">          
          
            <h:form id="frmTabuladorCaducar">
            
                <!--p:messages id="msg" showSummary="false" showDetail="true" /-->
            
                <h:panelGrid 
                    id="pnlDatosTabulador" 
                    columns="4" 
                    cellpadding="5" 
                    columnClasses="centered,centered2,centered,centered2">
              
                    <f:facet name="header">                
                        <p:row>                  
                            <p:column colspan="7">Datos Tabulador</p:column>                
                        </p:row>
                    </f:facet>
                
                    <p:column>                    
                        <h:outputText 
                            id="lblEjercicioFiscal" 
                            value="#{translatedMessage['restricted.nomina.tabulador.ejercicio']}: " 
                            style="font-weight: bold" />                
                    </p:column>
                
                    <p:column>              
                        <h:outputText 
                            id="txtEjercicioFiscal" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.ejercicio.valor}" />
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblGrupoGerarquico" 
                            value="#{translatedMessage['restricted.nomina.tabulador.grupoJerarquico']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputFormat 
                            id="txtGrupoJerarquico" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.grupoJerarquico.strClaveJerarquica}" />
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblNivel" 
                            value="#{translatedMessage['restricted.nomina.tabulador.nivel']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="txtNivel" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.nivelTabular.strNivel}" />
                    </p:column>
                    
                    <p:column>
                        <h:outputText 
                            id="lblSueldoBase" 
                            value="#{translatedMessage['restricted.nomina.tabulador.sueldoBase']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="txtSueldoBase" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbSueldoBase}" />
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblCompensacionGarantizada" 
                            value="#{translatedMessage['restricted.nomina.tabulador.compensacionGarantizada']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="txtCompensacionGarantizada" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbCompensacionGarantizada}" />
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblSuerldoBruto" 
                            value="#{translatedMessage['restricted.nomina.tabulador.sueldoBruto']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="txtSueldoBruto" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbSueldoBruto}" />
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblFechaVigenciaInicio" 
                            value="#{translatedMessage['restricted.nomina.tabulador.vigenciaDeInicio']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="txtFechaVigenciaInicio" 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dtVigenciaDeInicio}" >
                            
                            <f:convertDateTime 
                                pattern="dd/MM/yyyy" 
                                timeZone="America/Mexico_City"/>
                        </h:outputText>
                    </p:column>
                
                    <p:column>
                        <h:outputText 
                            id="lblFechaCaduca" 
                            value="#{translatedMessage['restricted.nomina.tabulador.vigenciaFinal']}: " 
                            style="font-weight: bold"/>
                    </p:column>
                
                    <p:column>
                        <p:calendar 
                            value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dtVigenciaFinal}"
                            id="vigenciaFinal" 
                            showOn="button"                                        
                            pattern="dd/MM/yyyy"
                            locale= "es"
                            style="width: 100px"
                            maxlength="10"
                            mode="popup"
                            navigator="true"
                            mindate="#{rhNomnTabuladoresMB.strFechaFinCaducarMinima}"                             
                            converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy" required="true" 
                            requiredMessage="La fecha final es requerida" readonlyInput="true"/>
                            <!--p:messages for="vigenciaFinal" /-->
                    </p:column>                            
                </h:panelGrid>
            
                <br/>
            
                <div align="right">            
                    <p:commandButton
                        update=":pnlTabuladorCaducar" 
                        style="font-size: 70%"
                        value="#{translatedMessage['restricted.nomina.tabulador.caducar']}"                        
                        actionListener="#{rhNomnTabuladoresMB.caducarTabulador}" >
              
                        <p:confirm 
                            header="Confimación" 
                            message="¿Está seguro de asignar la fecha de caducidad al tabular?" 
                            icon="ui-icon-alert" />            
                    </p:commandButton>
            
                    <div style="width:5px;
                            height:auto;
                            display:inline-block;"/>
            
                    <p:confirmDialog 
                        global="true" 
                        showEffect="fade" 
                        hideEffect="fade">
              
                        <p:commandButton 
                            value="Si" 
                            type="button" 
                            styleClass="ui-confirmdialog-yes" 
                            icon="ui-icon-check" />
              
                        <p:commandButton 
                            value="No" 
                            type="button" 
                            styleClass="ui-confirmdialog-no" 
                            icon="ui-icon-close" />            
                    </p:confirmDialog>
            
                    <p:commandButton
                        value="#{translatedMessage['common.label.cancel']}"
                        type="button" 
                        style="font-size: 70%"
                        onclick="location = 'TabuladoresList.jsf';" />            
                </div>
          </h:form>
        </h:panelGroup>
      </p:dialog> 
    </ui:component>
  </body>
</html>
